package kz.arta.synergy.workflow.mobile.android.forms.general.components.users.model;

import java.io.Serializable;

/**
 * Created by neox on 18.03.16.
 * Пользователь
 */
public class UserModel implements Serializable {

    /**
     * Полное имя пользователя
     */
    private String personName;

    /**
     * Идентификатор пользователя
     */
    private String personID;

    /**
     * Имя департамента
     */
    private String departmentName;

    /**
     * Имя должности
     */
    private String positionName;

    /**
     * Фамилия
     */
    private String lastname;

    /**
     * Имя
     */
    private String firstname;

    /**
     * Отчество
     */
    private String patronymic;

    /**
     * Выделен ли текущий элемент в списке
     */
    private boolean isChecked;

    /**
     * Идентификатор
     */
    private String uuid;

    /**
     * Доп. информация
     */
    private CustomFields customFields;

    /**
     * Имя тега
     */
    private String tagName;

    public CustomFields getCustomFields() {
        return customFields;
    }

    public void setCustomFields(CustomFields customFields) {
        this.customFields = customFields;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getPersonID() {
        return personID;
    }

    public void setPersonID(String personID) {
        this.personID = personID;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public String getLastname() {
        return lastname;
    }

    public void setLastname(String lastname) {
        this.lastname = lastname;
    }

    public String getFirstname() {
        return firstname;
    }

    public void setFirstname(String firstname) {
        this.firstname = firstname;
    }

    public String getPatronymic() {
        return patronymic;
    }

    public void setPatronymic(String patronymic) {
        this.patronymic = patronymic;
    }

    public boolean isChecked() {
        return isChecked;
    }

    public void setIsChecked(boolean isChecked) {
        this.isChecked = isChecked;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public class CustomFields implements Serializable {

        private String calendarType;
        private String calendarTitle;
        private String calendarStartDate;
        private String calendarStatusLabel;
        private String calendarColor;
        private String calendarStatus;
        private String calendarFinishDate;

        public String getCalendarFinishDate() {
            return calendarFinishDate;
        }

        public String getCalendarStatus() {
            return calendarStatus;
        }

        public String getCalendarColor() {
            return calendarColor;
        }

        public String getCalendarStatusLabel() {
            return calendarStatusLabel;
        }

        public String getCalendarStartDate() {
            return calendarStartDate;
        }

        public String getCalendarTitle() {
            return calendarTitle;
        }

        public String getCalendarType() {
            return calendarType;
        }
    }
}
